{% extends 'admin/adminbase.html.twig' %}
{% import "macros/genCard.html.twig" as card %}
{% import "macros/datatable.html.twig" as dt %}
{% block body %}
    <h5>Siswa</h5>
    <div class="row mb-5">
        <div class="col col-lg-3 col-md-6">
            {{ card.card_notif('Siswa Baru') }}
        </div>
        <div class="col col-lg-3 col-md-6">
            {{ card.card_notif('Total Siswa') }}
        </div>
    </div>
    <div class="row justify-content-end" style="">
        <div class=" text-right">
            <div id="reportrange" class="mb-3" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc;">
                <i class="fa fa-calendar"></i>&nbsp;
                <span></span> <i class="fa fa-caret-down"></i>
            </div>
        </div>
    </div>
    <div class="card card-genossys">
        {{ dt.datatable }}
    </div>
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('etc/js/setdatepicker.js') }}" type="application/javascript"></script>

    <script>

        $(document).on("click", "a#detailData", function () {
            var id = $(this).data('cred');
            var url = '{{ path("siswa-detail",{id:"no"}) }}';
            url = url.replace("no", id);
            $(this).attr('href', url);
        });


        function param(start, end, tipe) {
            datatest = {
                parameter: tipe,
                start: start,
                end: end
            };
            {{ card.card_notifJS('Siswa Baru','get-count-new-member-month', '') }}
            {{ card.card_notifJS('Total Siswa','get-total-member','') }}
        }
        {{ card.card_notifJS('Siswa Baru','get-count-new-member-month', '') }}
        {{ card.card_notifJS('Total Siswa','get-total-member','') }}
    </script>
    {{ dt.datatableJS(class, space, tableAction, tableFields,where,groupBy,'yes',null) }}


{% endblock %}